-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

USE {0};


CREATE TEMPORARY TABLE tmp_availability AS SELECT * FROM {0}.availability WHERE {0}.availability.`deleted`={2};
CREATE INDEX idx_tmp_availability_id ON tmp_availability (`availabilityId`);

DELETE FROM {1}.availability_providerdata WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);
DELETE FROM {1}.availability_viewingoption WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);
DELETE FROM {1}.availability_url WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);
DELETE FROM {1}.availability_id WHERE `availabilityId` IN (SELECT `availabilityId` FROM tmp_availability);
