-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

USE {0};


CREATE TEMPORARY TABLE tmp_source AS SELECT * FROM {0}.source WHERE {0}.source.`deleted`={2};
CREATE INDEX idx_tmp_source_id ON tmp_source (`prgSvcId`);

DELETE FROM {1}.source_transportid WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_group WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_genre WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_marketid WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_asset WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_affiliate WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_relationship WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_bcastlang WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_edlang WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_attribute WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_altname WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
DELETE FROM {1}.source_country WHERE `prgSvcId` IN (SELECT `prgSvcId` FROM tmp_source);
