-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_vdannotation AS SELECT * FROM {0}.vdannotation 
  WHERE 1=1 
    AND {0}.vdannotation.`batchUpdateOrd` > {2} 
    AND {0}.vdannotation.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_vdannotation_id ON tmp_vdannotation (`TMSId`);

DELETE FROM {1}.vdannotation_descriptor WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_vdannotation);

UPDATE {1}.vdannotation core JOIN tmp_vdannotation stage ON stage.`TMSId`=core.`TMSId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`rootId`=stage.`rootId`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

INSERT INTO {1}.vdannotation_descriptor SELECT * FROM {0}.vdannotation_descriptor WHERE `TMSId` IN (SELECT `TMSId` FROM tmp_vdannotation);
