-- {0}: stage schema

CREATE INDEX IF NOT EXISTS "idx_source_prgSvcId" ON {0}.source("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_updateId" ON {0}.source("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_MD5" ON {0}.source("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_batchUpdateOrd" ON {0}.source("batchUpdateOrd");
CREATE INDEX IF NOT EXISTS "idx_source_country_prgSvcId" ON {0}.source_country("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_country_updateId" ON {0}.source_country("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_country_MD5" ON {0}.source_country("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_altname_prgSvcId" ON {0}.source_altname("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_altname_updateId" ON {0}.source_altname("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_altname_MD5" ON {0}.source_altname("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_attribute_prgSvcId" ON {0}.source_attribute("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_attribute_updateId" ON {0}.source_attribute("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_attribute_MD5" ON {0}.source_attribute("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_edlang_prgSvcId" ON {0}.source_edlang("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_edlang_updateId" ON {0}.source_edlang("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_edlang_MD5" ON {0}.source_edlang("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_bcastlang_prgSvcId" ON {0}.source_bcastlang("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_bcastlang_updateId" ON {0}.source_bcastlang("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_bcastlang_MD5" ON {0}.source_bcastlang("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_relationship_prgSvcId" ON {0}.source_relationship("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_relationship_updateId" ON {0}.source_relationship("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_relationship_MD5" ON {0}.source_relationship("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_affiliate_prgSvcId" ON {0}.source_affiliate("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_affiliate_updateId" ON {0}.source_affiliate("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_affiliate_MD5" ON {0}.source_affiliate("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_asset_prgSvcId" ON {0}.source_asset("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_asset_updateId" ON {0}.source_asset("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_asset_MD5" ON {0}.source_asset("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_marketid_prgSvcId" ON {0}.source_marketid("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_marketid_updateId" ON {0}.source_marketid("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_marketid_MD5" ON {0}.source_marketid("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_genre_prgSvcId" ON {0}.source_genre("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_genre_updateId" ON {0}.source_genre("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_genre_MD5" ON {0}.source_genre("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_group_prgSvcId" ON {0}.source_group("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_group_updateId" ON {0}.source_group("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_group_MD5" ON {0}.source_group("MD5");
CREATE INDEX IF NOT EXISTS "idx_source_transportid_prgSvcId" ON {0}.source_transportid("prgSvcId");
CREATE INDEX IF NOT EXISTS "idx_source_transportid_updateId" ON {0}.source_transportid("updateId");
CREATE INDEX IF NOT EXISTS "idx_source_transportid_MD5" ON {0}.source_transportid("MD5");
