-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value


WITH stage_dep AS (SELECT "venueBrandId","venueId" FROM {0}.venuebrand)
INSERT INTO {0}.venuebrand ("venueBrandId","venueId","updateId","updateDate","MD5","ingestId","batchUpdateOrd","deleted")
SELECT core_dep."venueBrandId",core_dep."venueId",stage_main."updateId",stage_main."updateDate",stage_main."MD5",stage_main."ingestId",1,{2}
FROM {1}.venuebrand core_dep
    JOIN {0}.venue stage_main ON core_dep."venueId"=stage_main."venueId"
WHERE NOT EXISTS (
    SELECT 1 FROM stage_dep WHERE core_dep."venueId"=stage_dep."venueId" AND core_dep."venueBrandId"=stage_dep."venueBrandId" ) 
;

