-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value


CREATE TEMP TABLE tmp_celebrity AS SELECT * FROM {0}.celebrity WHERE {0}.celebrity."deleted"={2};
CREATE INDEX idx_tmp_celebrity_id ON tmp_celebrity("personId");

DELETE FROM {1}.celebrity_enhancedaward WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_socialmedia WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_highlight WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_quote WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_note WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_milestone WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_education WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_relationshipevent WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_relationship WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_biography WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_participanttype WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_mediography_credit WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_mediography WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_asset WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_award WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
DELETE FROM {1}.celebrity_name WHERE "personId" IN (SELECT "personId" FROM tmp_celebrity);
