-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_descriptortaxonomy AS SELECT * FROM {0}.descriptortaxonomy 
  WHERE 1=1 
    AND {0}.descriptortaxonomy."batchUpdateOrd" > {2} 
    AND {0}.descriptortaxonomy."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_descriptortaxonomy_id ON tmp_descriptortaxonomy("taxonomyId");

DELETE FROM {1}.descriptortaxonomy_descriptor WHERE "taxonomyId" IN (SELECT "taxonomyId" FROM tmp_descriptortaxonomy);

UPDATE {1}.descriptortaxonomy AS core SET ("updateId","updateDate","deleted","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_descriptortaxonomy t WHERE t."taxonomyId"=core."taxonomyId";

INSERT INTO {1}.descriptortaxonomy_descriptor SELECT * FROM {0}.descriptortaxonomy_descriptor WHERE "taxonomyId" IN (SELECT "taxonomyId" FROM tmp_descriptortaxonomy);
