-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value


CREATE TEMP TABLE tmp_sourceprogram AS SELECT * FROM {0}.sourceprogram WHERE {0}.sourceprogram."deleted"={2};
CREATE INDEX idx_tmp_sourceprogram_id ON tmp_sourceprogram("gnidsId");

DELETE FROM {1}.sourceprogram_xid WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_tag WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_extattr WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_market WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_language WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset_id WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_asset WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_xid WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_tag WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_extattr WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_market WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_language WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset_id WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_asset WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_crew WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_cast WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_desc WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season_title WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_season WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_epinfo WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_mvinfo WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_rating_advisory WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_rating WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_genre WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_country WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_crew WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_cast WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_description WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_title WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_catalog_market WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_catalog_language WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_catalog WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_versionlabel WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
DELETE FROM {1}.sourceprogram_label WHERE "gnidsId" IN (SELECT "gnidsId" FROM tmp_sourceprogram);
