CREATE INDEX IF NOT EXISTS "sourceprogram_TMSId" ON {0}.sourceprogram USING btree ("TMSId");
CREATE INDEX IF NOT EXISTS "sourceprogram_asset_extattr_spAssetId" ON {0}.sourceprogram_asset_extattr USING btree ("spAssetId");
CREATE INDEX IF NOT EXISTS "sourceprogram_asset_id_spAssetId" ON {0}.sourceprogram_asset_id USING btree ("spAssetId");
CREATE INDEX IF NOT EXISTS "sourceprogram_asset_language_spAssetId" ON {0}.sourceprogram_asset_language USING btree ("spAssetId");
CREATE INDEX IF NOT EXISTS "sourceprogram_asset_market_spAssetId" ON {0}.sourceprogram_asset_market USING btree ("spAssetId");
CREATE INDEX IF NOT EXISTS "sourceprogram_asset_tag_spAssetId" ON {0}.sourceprogram_asset_tag USING btree ("spAssetId");
CREATE INDEX IF NOT EXISTS "sourceprogram_catalog_language_spCatalogId" ON {0}.sourceprogram_catalog_language USING btree ("spCatalogId");
CREATE INDEX IF NOT EXISTS "sourceprogram_catalog_market_spCatalogId" ON {0}.sourceprogram_catalog_market USING btree ("spCatalogId");
CREATE INDEX IF NOT EXISTS sourceprogram_desc_lang ON {0}.sourceprogram USING btree (desc_lang);
CREATE INDEX IF NOT EXISTS "sourceprogram_progType" ON {0}.sourceprogram USING btree ("progType");
CREATE INDEX IF NOT EXISTS "sourceprogram_rating_advisory_spRatingId" ON {0}.sourceprogram_rating_advisory USING btree ("spRatingId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_extattr_spAssetId" ON {0}.sourceprogram_season_asset_extattr USING btree ("spAssetId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_id_spAssetId" ON {0}.sourceprogram_season_asset_id USING btree ("spAssetId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_language_spAssetId" ON {0}.sourceprogram_season_asset_language USING btree ("spAssetId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_market_spAssetId" ON {0}.sourceprogram_season_asset_market USING btree ("spAssetId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_spSeasonId" ON {0}.sourceprogram_season_asset USING btree ("spSeasonId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_asset_tag_spAssetId" ON {0}.sourceprogram_season_asset_tag USING btree ("spAssetId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_cast_spSeasonId" ON {0}.sourceprogram_season_cast USING btree ("spSeasonId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_crew_spSeasonId" ON {0}.sourceprogram_season_crew USING btree ("spSeasonId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_desc_spSeasonId" ON {0}.sourceprogram_season_desc USING btree ("spSeasonId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_title_spSeasonId" ON {0}.sourceprogram_season_title USING btree ("spSeasonId");
CREATE INDEX IF NOT EXISTS "sourceprogram_season_xid_spSeasonId" ON {0}.sourceprogram_season_xid USING btree ("spSeasonId");
CREATE INDEX IF NOT EXISTS "sourceprogram_sourceDataProviderId" ON {0}.sourceprogram USING btree ("sourceDataProviderId");
CREATE INDEX IF NOT EXISTS "sourceprogram_subType" ON {0}.sourceprogram USING btree ("subType");
