-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value


CREATE TEMP TABLE tmp_vdannotation AS SELECT * FROM {0}.vdannotation 
  WHERE 1=1 
    AND {0}.vdannotation."batchUpdateOrd" > {2} 
    AND {0}.vdannotation."batchUpdateOrd" <= {3}
;

CREATE INDEX idx_tmp_vdannotation_id ON tmp_vdannotation("TMSId");

DELETE FROM {1}.vdannotation_descriptor WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_vdannotation);

UPDATE {1}.vdannotation AS core SET ("updateId","updateDate","deleted","rootId","MD5","ingestId","batchUpdateOrd")=
    (t."updateId",t."updateDate",t."deleted",t."rootId",t."MD5",t."ingestId",t."batchUpdateOrd")
  FROM tmp_vdannotation t WHERE t."TMSId"=core."TMSId";

INSERT INTO {1}.vdannotation_descriptor SELECT * FROM {0}.vdannotation_descriptor WHERE "TMSId" IN (SELECT "TMSId" FROM tmp_vdannotation);
