-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.lineup AS SELECT * FROM stage.lineup WHERE stage.lineup.deleted = {2};
CREATE INDEX temp.idx_lineup_id ON lineup(lineupId);

DELETE FROM core.lineup_market WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
DELETE FROM core.lineup_postalcode WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
DELETE FROM core.lineup_channel_transport_id WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
DELETE FROM core.lineup_channel_transport WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
DELETE FROM core.lineup_channel WHERE lineupId IN (SELECT lineupId FROM temp.lineup);
