-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.teambrand AS SELECT * FROM stage.teambrand WHERE stage.teambrand.deleted = {2};
CREATE INDEX temp.idx_teambrand_id ON teambrand(teamBrandId);

DELETE FROM core.teambrand_asset WHERE teamBrandId IN (SELECT teamBrandId FROM temp.teambrand);
DELETE FROM core.teambrand_name WHERE teamBrandId IN (SELECT teamBrandId FROM temp.teambrand);
