-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.university AS SELECT * FROM stage.university WHERE stage.university.deleted = {2};
CREATE INDEX temp.idx_university_id ON university(universityId);

DELETE FROM core.university_asset WHERE universityId IN (SELECT universityId FROM temp.university);
DELETE FROM core.university_name WHERE universityId IN (SELECT universityId FROM temp.university);
