-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.popularity AS SELECT * FROM stage.popularity 
  WHERE 1=1 
    AND stage.popularity.batchUpdateOrd > {2} 
    AND stage.popularity.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_popularity_id ON popularity(popularityId);


UPDATE core.popularity SET ("updateId","updateDate","deleted","country","rootId","score","scoreDate","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","country","rootId","score","scoreDate","MD5","ingestId","batchUpdateOrd" FROM temp.popularity WHERE temp.popularity.popularityId=core.popularity.popularityId)
  WHERE EXISTS (SELECT 1 FROM temp.popularity WHERE temp.popularity.popularityId=core.popularity.popularityId);

