-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

USE {0};


CREATE TEMPORARY TABLE tmp_lineup AS SELECT * FROM {0}.lineup WHERE {0}.lineup.`deleted`={2};
CREATE INDEX idx_tmp_lineup_id ON tmp_lineup (`lineupId`);

DELETE FROM {1}.lineup_market WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
DELETE FROM {1}.lineup_postalcode WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
DELETE FROM {1}.lineup_channel_transport_id WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
DELETE FROM {1}.lineup_channel_transport WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
DELETE FROM {1}.lineup_channel WHERE `lineupId` IN (SELECT `lineupId` FROM tmp_lineup);
