-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

USE {1};

CREATE TEMPORARY TABLE tmp_descriptor AS SELECT * FROM {0}.descriptor 
  WHERE 1=1 
    AND {0}.descriptor.`batchUpdateOrd` > {2} 
    AND {0}.descriptor.`batchUpdateOrd` <= {3} 
;

CREATE INDEX idx_tmp_descriptor_id ON tmp_descriptor (`descriptorId`);


UPDATE {1}.descriptor core JOIN tmp_descriptor stage ON stage.`descriptorId`=core.`descriptorId`
SET core.`updateId`=stage.`updateId`,core.`updateDate`=stage.`updateDate`,core.`deleted`=stage.`deleted`,core.`descriptorName`=stage.`descriptorName`,core.`parent_descriptorId`=stage.`parent_descriptorId`,core.`typeId`=stage.`typeId`,core.`typeName`=stage.`typeName`,core.`MD5`=stage.`MD5`,core.`ingestId`=stage.`ingestId`,core.`batchUpdateOrd`=stage.`batchUpdateOrd`;

