-- {0}: stage schema

CREATE INDEX IF NOT EXISTS "idx_celebrity_personId" ON {0}.celebrity("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_updateId" ON {0}.celebrity("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_MD5" ON {0}.celebrity("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_batchUpdateOrd" ON {0}.celebrity("batchUpdateOrd");
CREATE INDEX IF NOT EXISTS "idx_celebrity_name_personId" ON {0}.celebrity_name("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_name_updateId" ON {0}.celebrity_name("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_name_MD5" ON {0}.celebrity_name("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_award_personId" ON {0}.celebrity_award("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_award_updateId" ON {0}.celebrity_award("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_award_MD5" ON {0}.celebrity_award("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_asset_personId" ON {0}.celebrity_asset("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_asset_updateId" ON {0}.celebrity_asset("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_asset_MD5" ON {0}.celebrity_asset("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_mediography_personId" ON {0}.celebrity_mediography("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_mediography_updateId" ON {0}.celebrity_mediography("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_mediography_MD5" ON {0}.celebrity_mediography("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_mediography_credit_personId" ON {0}.celebrity_mediography_credit("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_mediography_credit_updateId" ON {0}.celebrity_mediography_credit("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_mediography_credit_MD5" ON {0}.celebrity_mediography_credit("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_participanttype_personId" ON {0}.celebrity_participanttype("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_participanttype_updateId" ON {0}.celebrity_participanttype("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_participanttype_MD5" ON {0}.celebrity_participanttype("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_biography_personId" ON {0}.celebrity_biography("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_biography_updateId" ON {0}.celebrity_biography("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_biography_MD5" ON {0}.celebrity_biography("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_relationship_personId" ON {0}.celebrity_relationship("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_relationship_updateId" ON {0}.celebrity_relationship("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_relationship_MD5" ON {0}.celebrity_relationship("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_relationshipevent_personId" ON {0}.celebrity_relationshipevent("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_relationshipevent_updateId" ON {0}.celebrity_relationshipevent("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_relationshipevent_MD5" ON {0}.celebrity_relationshipevent("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_education_personId" ON {0}.celebrity_education("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_education_updateId" ON {0}.celebrity_education("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_education_MD5" ON {0}.celebrity_education("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_milestone_personId" ON {0}.celebrity_milestone("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_milestone_updateId" ON {0}.celebrity_milestone("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_milestone_MD5" ON {0}.celebrity_milestone("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_note_personId" ON {0}.celebrity_note("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_note_updateId" ON {0}.celebrity_note("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_note_MD5" ON {0}.celebrity_note("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_quote_personId" ON {0}.celebrity_quote("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_quote_updateId" ON {0}.celebrity_quote("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_quote_MD5" ON {0}.celebrity_quote("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_highlight_personId" ON {0}.celebrity_highlight("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_highlight_updateId" ON {0}.celebrity_highlight("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_highlight_MD5" ON {0}.celebrity_highlight("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_socialmedia_personId" ON {0}.celebrity_socialmedia("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_socialmedia_updateId" ON {0}.celebrity_socialmedia("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_socialmedia_MD5" ON {0}.celebrity_socialmedia("MD5");
CREATE INDEX IF NOT EXISTS "idx_celebrity_enhancedaward_personId" ON {0}.celebrity_enhancedaward("personId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_enhancedaward_updateId" ON {0}.celebrity_enhancedaward("updateId");
CREATE INDEX IF NOT EXISTS "idx_celebrity_enhancedaward_MD5" ON {0}.celebrity_enhancedaward("MD5");
