-- {0}: stage schema

CREATE INDEX IF NOT EXISTS "idx_lineup_lineupId" ON {0}.lineup("lineupId");
CREATE INDEX IF NOT EXISTS "idx_lineup_updateId" ON {0}.lineup("updateId");
CREATE INDEX IF NOT EXISTS "idx_lineup_MD5" ON {0}.lineup("MD5");
CREATE INDEX IF NOT EXISTS "idx_lineup_batchUpdateOrd" ON {0}.lineup("batchUpdateOrd");
CREATE INDEX IF NOT EXISTS "idx_lineup_channel_lineupId" ON {0}.lineup_channel("lineupId");
CREATE INDEX IF NOT EXISTS "idx_lineup_channel_updateId" ON {0}.lineup_channel("updateId");
CREATE INDEX IF NOT EXISTS "idx_lineup_channel_MD5" ON {0}.lineup_channel("MD5");
CREATE INDEX IF NOT EXISTS "idx_lineup_channel_transport_lineupId" ON {0}.lineup_channel_transport("lineupId");
CREATE INDEX IF NOT EXISTS "idx_lineup_channel_transport_updateId" ON {0}.lineup_channel_transport("updateId");
CREATE INDEX IF NOT EXISTS "idx_lineup_channel_transport_MD5" ON {0}.lineup_channel_transport("MD5");
CREATE INDEX IF NOT EXISTS "idx_lineup_channel_transport_id_lineupId" ON {0}.lineup_channel_transport_id("lineupId");
CREATE INDEX IF NOT EXISTS "idx_lineup_channel_transport_id_updateId" ON {0}.lineup_channel_transport_id("updateId");
CREATE INDEX IF NOT EXISTS "idx_lineup_channel_transport_id_MD5" ON {0}.lineup_channel_transport_id("MD5");
CREATE INDEX IF NOT EXISTS "idx_lineup_postalcode_lineupId" ON {0}.lineup_postalcode("lineupId");
CREATE INDEX IF NOT EXISTS "idx_lineup_postalcode_updateId" ON {0}.lineup_postalcode("updateId");
CREATE INDEX IF NOT EXISTS "idx_lineup_postalcode_MD5" ON {0}.lineup_postalcode("MD5");
CREATE INDEX IF NOT EXISTS "idx_lineup_market_lineupId" ON {0}.lineup_market("lineupId");
CREATE INDEX IF NOT EXISTS "idx_lineup_market_updateId" ON {0}.lineup_market("updateId");
CREATE INDEX IF NOT EXISTS "idx_lineup_market_MD5" ON {0}.lineup_market("MD5");
