ALTER TABLE ONLY {0}.celebrity_mediography
    ADD CONSTRAINT celebrity_mediography_pkey PRIMARY KEY ("mediographyId");

ALTER TABLE ONLY {0}.celebrity_asset
    ADD CONSTRAINT "celebrity_asset_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_award
    ADD CONSTRAINT "celebrity_award_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_biography
    ADD CONSTRAINT "celebrity_biography_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_education
    ADD CONSTRAINT "celebrity_education_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_enhancedaward
    ADD CONSTRAINT "celebrity_enhancedaward_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_highlight
    ADD CONSTRAINT "celebrity_highlight_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_mediography_credit
    ADD CONSTRAINT "celebrity_mediography_credit_mediographyId_fkey" FOREIGN KEY ("mediographyId") REFERENCES {0}.celebrity_mediography("mediographyId");

ALTER TABLE ONLY {0}.celebrity_mediography_credit
    ADD CONSTRAINT "celebrity_mediography_credit_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_mediography
    ADD CONSTRAINT "celebrity_mediography_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_milestone
    ADD CONSTRAINT "celebrity_milestone_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_name
    ADD CONSTRAINT "celebrity_name_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_note
    ADD CONSTRAINT "celebrity_note_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_participanttype
    ADD CONSTRAINT "celebrity_participanttype_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_quote
    ADD CONSTRAINT "celebrity_quote_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_relationship
    ADD CONSTRAINT "celebrity_relationship_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_relationshipevent
    ADD CONSTRAINT "celebrity_relationshipevent_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

ALTER TABLE ONLY {0}.celebrity_socialmedia
    ADD CONSTRAINT "celebrity_socialmedia_personId_fkey" FOREIGN KEY ("personId") REFERENCES {0}.celebrity("personId");

