ALTER TABLE ONLY {0}.lineup_channel
    ADD CONSTRAINT lineup_channel_pkey PRIMARY KEY ("channelId");

ALTER TABLE ONLY {0}.lineup_channel_transport
    ADD CONSTRAINT lineup_channel_transport_pkey PRIMARY KEY ("transportId");

ALTER TABLE ONLY {0}.lineup_channel
    ADD CONSTRAINT "lineup_channel_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");

ALTER TABLE ONLY {0}.lineup_channel_transport
    ADD CONSTRAINT "lineup_channel_transport_channelId_fkey" FOREIGN KEY ("channelId") REFERENCES {0}.lineup_channel("channelId");

ALTER TABLE ONLY {0}.lineup_channel_transport_id
    ADD CONSTRAINT "lineup_channel_transport_id_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");

ALTER TABLE ONLY {0}.lineup_channel_transport_id
    ADD CONSTRAINT "lineup_channel_transport_id_transportId_fkey" FOREIGN KEY ("transportId") REFERENCES {0}.lineup_channel_transport("transportId");

ALTER TABLE ONLY {0}.lineup_channel_transport
    ADD CONSTRAINT "lineup_channel_transport_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");

ALTER TABLE ONLY {0}.lineup_market
    ADD CONSTRAINT "lineup_market_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");

ALTER TABLE ONLY {0}.lineup_postalcode
    ADD CONSTRAINT "lineup_postalcode_lineupId_fkey" FOREIGN KEY ("lineupId") REFERENCES {0}.lineup("lineupId");

