ALTER TABLE ONLY {0}.program_asset
    ADD CONSTRAINT program_asset_pkey PRIMARY KEY ("programAssetId");

ALTER TABLE ONLY {0}.program_epinfo
    ADD CONSTRAINT program_epinfo_pkey PRIMARY KEY ("episodeInfoId");

ALTER TABLE ONLY {0}.program_release
    ADD CONSTRAINT program_release_pkey PRIMARY KEY ("releaseId");

ALTER TABLE ONLY {0}.program_spdata
    ADD CONSTRAINT program_spdata_pkey PRIMARY KEY ("sportsDataId");

ALTER TABLE ONLY {0}.program_asset
    ADD CONSTRAINT "program_asset_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_asset_id
    ADD CONSTRAINT "program_asset_id_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_asset_id
    ADD CONSTRAINT "program_asset_id_programAssetId_fkey" FOREIGN KEY ("programAssetId") REFERENCES {0}.program_asset("programAssetId");

ALTER TABLE ONLY {0}.program_award
    ADD CONSTRAINT "program_award_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_cast
    ADD CONSTRAINT "program_cast_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_country
    ADD CONSTRAINT "program_country_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_crew
    ADD CONSTRAINT "program_crew_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_description
    ADD CONSTRAINT "program_description_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_descriptor
    ADD CONSTRAINT "program_descriptor_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_epinfo
    ADD CONSTRAINT "program_epinfo_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_epinfo_alt
    ADD CONSTRAINT "program_epinfo_alt_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_epinfo_alt
    ADD CONSTRAINT "program_epinfo_alt_episodeInfoId_fkey" FOREIGN KEY ("episodeInfoId") REFERENCES {0}.program_epinfo("episodeInfoId");

ALTER TABLE ONLY {0}.program_externallink
    ADD CONSTRAINT "program_externallink_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_genre
    ADD CONSTRAINT "program_genre_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_mvinfo
    ADD CONSTRAINT "program_mvinfo_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_mvtrailer
    ADD CONSTRAINT "program_mvtrailer_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_origaudiolang
    ADD CONSTRAINT "program_origaudiolang_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_qualityrating
    ADD CONSTRAINT "program_qualityrating_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_rating
    ADD CONSTRAINT "program_rating_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_ratingadvisory
    ADD CONSTRAINT "program_ratingadvisory_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_relationship
    ADD CONSTRAINT "program_relationship_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_release
    ADD CONSTRAINT "program_release_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_release_attribute
    ADD CONSTRAINT "program_release_attribute_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_release_attribute
    ADD CONSTRAINT "program_release_attribute_releaseId_fkey" FOREIGN KEY ("releaseId") REFERENCES {0}.program_release("releaseId");

ALTER TABLE ONLY {0}.program_release_distributor
    ADD CONSTRAINT "program_release_distributor_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_release_distributor
    ADD CONSTRAINT "program_release_distributor_releaseId_fkey" FOREIGN KEY ("releaseId") REFERENCES {0}.program_release("releaseId");

ALTER TABLE ONLY {0}.program_season
    ADD CONSTRAINT "program_season_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_spdata
    ADD CONSTRAINT "program_spdata_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_spdata_event
    ADD CONSTRAINT "program_spdata_event_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_spdata_event
    ADD CONSTRAINT "program_spdata_event_sportsDataId_fkey" FOREIGN KEY ("sportsDataId") REFERENCES {0}.program_spdata("sportsDataId");

ALTER TABLE ONLY {0}.program_spevent
    ADD CONSTRAINT "program_spevent_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_spinfo
    ADD CONSTRAINT "program_spinfo_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_spteam
    ADD CONSTRAINT "program_spteam_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

ALTER TABLE ONLY {0}.program_title
    ADD CONSTRAINT "program_title_TMSId_fkey" FOREIGN KEY ("TMSId") REFERENCES {0}.program("TMSId");

