-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value


CREATE TEMP TABLE tmp_season AS SELECT * FROM {0}.season WHERE {0}.season."deleted"={2};
CREATE INDEX idx_tmp_season_id ON tmp_season("seasonTMSId");

DELETE FROM {1}.season_asset_id WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_asset WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_crew WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_cast WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_description WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
DELETE FROM {1}.season_title WHERE "seasonTMSId" IN (SELECT "seasonTMSId" FROM tmp_season);
