-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.availability AS SELECT * FROM stage.availability WHERE stage.availability.deleted = {2};
CREATE INDEX temp.idx_availability_id ON availability(availabilityId);

DELETE FROM core.availability_providerdata WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
DELETE FROM core.availability_viewingoption WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
DELETE FROM core.availability_url WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
DELETE FROM core.availability_id WHERE availabilityId IN (SELECT availabilityId FROM temp.availability);
