-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.celebrity AS SELECT * FROM stage.celebrity WHERE stage.celebrity.deleted = {2};
CREATE INDEX temp.idx_celebrity_id ON celebrity(personId);

DELETE FROM core.celebrity_enhancedaward WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_socialmedia WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_highlight WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_quote WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_note WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_milestone WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_education WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_relationshipevent WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_relationship WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_biography WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_participanttype WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_mediography_credit WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_mediography WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_asset WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_award WHERE personId IN (SELECT personId FROM temp.celebrity);
DELETE FROM core.celebrity_name WHERE personId IN (SELECT personId FROM temp.celebrity);
