-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.program AS SELECT * FROM stage.program WHERE stage.program.deleted = {2};
CREATE INDEX temp.idx_program_id ON program(TMSId);

DELETE FROM core.program_origaudiolang WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_descriptor WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_externallink WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_relationship WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_release_distributor WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_release_attribute WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_release WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_asset_id WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_asset WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_spdata_event WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_spdata WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_spevent WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_spteam WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_spinfo WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_epinfo_alt WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_epinfo WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_mvtrailer WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_mvinfo WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_ratingadvisory WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_qualityrating WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_rating WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_genre WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_award WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_country WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_crew WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_cast WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_description WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_title WHERE TMSId IN (SELECT TMSId FROM temp.program);
DELETE FROM core.program_season WHERE TMSId IN (SELECT TMSId FROM temp.program);
