-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.season AS SELECT * FROM stage.season WHERE stage.season.deleted = {2};
CREATE INDEX temp.idx_season_id ON season(seasonTMSId);

DELETE FROM core.season_asset_id WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_asset WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_crew WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_cast WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_description WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
DELETE FROM core.season_title WHERE seasonTMSId IN (SELECT seasonTMSId FROM temp.season);
