-- {0}: stage schema
-- {1}: core schema
-- {2}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.source AS SELECT * FROM stage.source WHERE stage.source.deleted = {2};
CREATE INDEX temp.idx_source_id ON source(prgSvcId);

DELETE FROM core.source_transportid WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_group WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_genre WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_marketid WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_asset WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_affiliate WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_relationship WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_bcastlang WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_edlang WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_attribute WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_altname WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
DELETE FROM core.source_country WHERE prgSvcId IN (SELECT prgSvcId FROM temp.source);
