-- {0}: stage schema
-- {1}: core schema
-- {2}: lower bound
-- {3}: upper bound
-- {4}: truth value

ATTACH "__gxd_runsql_sqlite_db_path_stub__{1}.db" AS core;
ATTACH "__gxd_runsql_sqlite_db_path_stub__{0}.db" AS stage;
PRAGMA foreign_keys = ON;

CREATE TABLE temp.cv AS SELECT * FROM stage.cv 
  WHERE 1=1 
    AND stage.cv.batchUpdateOrd > {2} 
    AND stage.cv.batchUpdateOrd <= {3} 
;

CREATE INDEX temp.idx_cv_id ON cv(cvId);

DELETE FROM core.cv_attribute WHERE cvId IN (SELECT cvId FROM temp.cv);

UPDATE core.cv SET ("updateId","updateDate","deleted","cvType","id","type","lang","value","MD5","ingestId","batchUpdateOrd")=
    (SELECT "updateId","updateDate","deleted","cvType","id","type","lang","value","MD5","ingestId","batchUpdateOrd" FROM temp.cv WHERE temp.cv.cvId=core.cv.cvId)
  WHERE EXISTS (SELECT 1 FROM temp.cv WHERE temp.cv.cvId=core.cv.cvId);

INSERT INTO core.cv_attribute SELECT * FROM stage.cv_attribute WHERE cvId IN (SELECT cvId FROM temp.cv);
