#!/bin/sh

#  -----------------------------------------------------------------------------
#  Gracenote (A Nielsen Company) Proprietary Information
#  This software is supplied under the terms of a license agreement or
#  nondisclosure agreement with Nielsen/Gracenote, Inc. and may not be copied
#  or disclosed except in accordance with the terms of that agreement.
#  Copyright(c) 2020-present. Gracenote, A Nielsen Company, All Rights Reserved.
#  -----------------------------------------------------------------------------

#  =============================================================================
#  Output versions of dependencies
#  =============================================================================

echo "Checking versions of dependencies.."
echo
echo "REQUIRED: Python version 2.7 or 3. INSTALLED:"
python --version
python3 --version
echo
echo "REQUIRED: cURL version x.x.x, OpenSSL/x.x.x. INSTALLED:"
curl --version
echo
echo "REQUIRED: xmllint. INSTALLED:"
xmllint --version
echo
echo "REQUIRED for SQLite only: sqlite3 version 3.22.x. INSTALLED:"
sqlite3 --version
echo